M6800FN_("ADDA immediate",ADDA_DATA    )
M6800FN_("ADDA direct"   ,ADDA_ADDRESS )
M6800FN_("ADDA indexed"  ,ADDA_ADDRESS )
M6800FN_("ADDA extended" ,ADDA_ADDRESS )
M6800FN_("ADDB immediate",ADDB_DATA    )
M6800FN_("ADDB direct"   ,ADDB_ADDRESS )
M6800FN_("ADDB indexed"  ,ADDB_ADDRESS )
M6800FN_("ADDB extended" ,ADDB_ADDRESS )
M6800FN_("ABA inherent"  ,ABA_INHERENT )
M6800FN_("ADCA immediate",ADCA_DATA    )
M6800FN_("ADCA direct"   ,ADCA_ADDRESS )
M6800FN_("ADCA indexed"  ,ADCA_ADDRESS )
M6800FN_("ADCA extended" ,ADCA_ADDRESS )
M6800FN_("ADCB immediate",ADCB_DATA    )
M6800FN_("ADCB direct"   ,ADCB_ADDRESS )
M6800FN_("ADCB indexed"  ,ADCB_ADDRESS )
M6800FN_("ADCB extended" ,ADCB_ADDRESS )
M6800FN_("ANDA immediate",ANDA_DATA    )
M6800FN_("ANDA direct"   ,ANDA_ADDRESS )
M6800FN_("ANDA indexed"  ,ANDA_ADDRESS )
M6800FN_("ANDA extended" ,ANDA_ADDRESS )
M6800FN_("ANDB immediate",ANDB_DATA    )
M6800FN_("ANDB direct"   ,ANDB_ADDRESS )
M6800FN_("ANDB indexed"  ,ANDB_ADDRESS )
M6800FN_("ANDB extended" ,ANDB_ADDRESS )
M6800FN_("BITA immediate",BITA_DATA    )
M6800FN_("BITA direct"   ,BITA_ADDRESS )
M6800FN_("BITA indexed"  ,BITA_ADDRESS )
M6800FN_("BITA extended" ,BITA_ADDRESS )
M6800FN_("BITB immediate",BITB_DATA    )
M6800FN_("BITB direct"   ,BITB_ADDRESS )
M6800FN_("BITB indexed"  ,BITB_ADDRESS )
M6800FN_("BITB extended" ,BITB_ADDRESS )
M6800FN_("CLR indexed"   ,CLR_ADDRESS  )
M6800FN_("CLR extended"  ,CLR_ADDRESS  )
M6800FN_("CLRA inherent" ,CLRA_INHERENT)
M6800FN_("CLRB inherent" ,CLRB_INHERENT)
M6800FN_("CMPA immediate",CMPA_DATA    )
M6800FN_("CMPA direct"   ,CMPA_ADDRESS )
M6800FN_("CMPA indexed"  ,CMPA_ADDRESS )
M6800FN_("CMPA extended" ,CMPA_ADDRESS )
M6800FN_("CMPB immediate",CMPB_DATA    )
M6800FN_("CMPB direct"   ,CMPB_ADDRESS )
M6800FN_("CMPB indexed"  ,CMPB_ADDRESS )
M6800FN_("CMPB extended" ,CMPB_ADDRESS )
M6800FN_("CBA inherent"  ,CBA_INHERENT )
M6800FN_("COM indexed"   ,COM_ADDRESS  )
M6800FN_("COM extended"  ,COM_ADDRESS  )
M6800FN_("COMA inherent" ,COMA_INHERENT)
M6800FN_("COMB inherent" ,COMB_INHERENT)
M6800FN_("NEG indexed"   ,NEG_ADDRESS  )
M6800FN_("NEG extended"  ,NEG_ADDRESS  )
M6800FN_("NEGA inherent" ,NEGA_INHERENT)
M6800FN_("NEGB inherent" ,NEGB_INHERENT)
M6800FN_("DAA inherent"  ,DAA_INHERENT )
M6800FN_("DEC indexed"   ,DEC_ADDRESS  )
M6800FN_("DEC extended"  ,DEC_ADDRESS  )
M6800FN_("DECA inherent" ,DECA_INHERENT)
M6800FN_("DECB inherent" ,DECB_INHERENT)
M6800FN_("EORA immediate",EORA_DATA    )
M6800FN_("EORA direct"   ,EORA_ADDRESS )
M6800FN_("EORA indexed"  ,EORA_ADDRESS )
M6800FN_("EORA extended" ,EORA_ADDRESS )
M6800FN_("EORB immediate",EORB_DATA    )
M6800FN_("EORB direct"   ,EORB_ADDRESS )
M6800FN_("EORB indexed"  ,EORB_ADDRESS )
M6800FN_("EORB extended" ,EORB_ADDRESS )
M6800FN_("INC indexed"   ,INC_ADDRESS  )
M6800FN_("INC extended"  ,INC_ADDRESS  )
M6800FN_("INCA inherent" ,INCA_INHERENT)
M6800FN_("INCB inherent" ,INCB_INHERENT)
M6800FN_("LDAA immediate",LDAA_DATA    )
M6800FN_("LDAA direct"   ,LDAA_ADDRESS )
M6800FN_("LDAA indexed"  ,LDAA_ADDRESS )
M6800FN_("LDAA extended" ,LDAA_ADDRESS )
M6800FN_("LDAB immediate",LDAB_DATA    )
M6800FN_("LDAB direct"   ,LDAB_ADDRESS )
M6800FN_("LDAB indexed"  ,LDAB_ADDRESS )
M6800FN_("LDAB extended" ,LDAB_ADDRESS )
M6800FN_("ORAA immediate",ORAA_DATA    )
M6800FN_("ORAA direct"   ,ORAA_ADDRESS )
M6800FN_("ORAA indexed"  ,ORAA_ADDRESS )
M6800FN_("ORAA extended" ,ORAA_ADDRESS )
M6800FN_("ORAB immediate",ORAB_DATA    )
M6800FN_("ORAB direct"   ,ORAB_ADDRESS )
M6800FN_("ORAB indexed"  ,ORAB_ADDRESS )
M6800FN_("ORAB extended" ,ORAB_ADDRESS )
M6800FN_("PSHA inherent" ,PSHA_INHERENT)
M6800FN_("PSHB inherent" ,PSHB_INHERENT)
M6800FN_("PULA inherent" ,PULA_INHERENT)
M6800FN_("PULB inherent" ,PULB_INHERENT)
M6800FN_("ROL indexed"   ,ROL_ADDRESS  )
M6800FN_("ROL extended"  ,ROL_ADDRESS  )
M6800FN_("ROLA inherent" ,ROLA_INHERENT)
M6800FN_("ROLB inherent" ,ROLB_INHERENT)
M6800FN_("ROR indexed"   ,ROR_ADDRESS  )
M6800FN_("ROR extended"  ,ROR_ADDRESS  )
M6800FN_("RORA inherent" ,RORA_INHERENT)
M6800FN_("RORB inherent" ,RORB_INHERENT)
M6800FN_("ASL indexed"   ,ASL_ADDRESS  )
M6800FN_("ASL extended"  ,ASL_ADDRESS  )
M6800FN_("ASLA inherent" ,ASLA_INHERENT)
M6800FN_("ASLB inherent" ,ASLB_INHERENT)
M6800FN_("ASR indexed"   ,ASR_ADDRESS  )
M6800FN_("ASR extended"  ,ASR_ADDRESS  )
M6800FN_("ASRA inherent" ,ASRA_INHERENT)
M6800FN_("ASRB inherent" ,ASRB_INHERENT)
M6800FN_("LSR indexed"   ,LSR_ADDRESS  )
M6800FN_("LSR extended"  ,LSR_ADDRESS  )
M6800FN_("LSRA inherent" ,LSRA_INHERENT)
M6800FN_("LSRB inherent" ,LSRB_INHERENT)
M6800FN_("STAA direct"   ,STAA_ADDRESS )
M6800FN_("STAA indexed"  ,STAA_ADDRESS )
M6800FN_("STAA extended" ,STAA_ADDRESS )
M6800FN_("STAB direct"   ,STAB_ADDRESS )
M6800FN_("STAB indexed"  ,STAB_ADDRESS )
M6800FN_("STAB extended" ,STAB_ADDRESS )
M6800FN_("SUBA immediate",SUBA_DATA    )
M6800FN_("SUBA direct"   ,SUBA_ADDRESS )
M6800FN_("SUBA indexed"  ,SUBA_ADDRESS )
M6800FN_("SUBA extended" ,SUBA_ADDRESS )
M6800FN_("SUBB immediate",SUBB_DATA    )
M6800FN_("SUBB direct"   ,SUBB_ADDRESS )
M6800FN_("SUBB indexed"  ,SUBB_ADDRESS )
M6800FN_("SUBB extended" ,SUBB_ADDRESS )
M6800FN_("SBA inherent"  ,SBA_INHERENT )
M6800FN_("SBCA immediate",SBCA_DATA    )
M6800FN_("SBCA direct"   ,SBCA_ADDRESS )
M6800FN_("SBCA indexed"  ,SBCA_ADDRESS )
M6800FN_("SBCA extended" ,SBCA_ADDRESS )
M6800FN_("SBCB immediate",SBCB_DATA    )
M6800FN_("SBCB direct"   ,SBCB_ADDRESS )
M6800FN_("SBCB indexed"  ,SBCB_ADDRESS )
M6800FN_("SBCB extended" ,SBCB_ADDRESS )
M6800FN_("TAB inherent"  ,TAB_INHERENT )
M6800FN_("TBA inherent"  ,TBA_INHERENT )
M6800FN_("TST indexed"   ,TST_ADDRESS  )
M6800FN_("TST extended"  ,TST_ADDRESS  )
M6800FN_("TSTA inherent" ,TSTA_INHERENT)
M6800FN_("TSTB inherent" ,TSTB_INHERENT)
M6800FN_("CPX immediate" ,CPX_DATA     )
M6800FN_("CPX direct"    ,CPX_ADDRESS  )
M6800FN_("CPX indexed"   ,CPX_ADDRESS  )
M6800FN_("CPX extended"  ,CPX_ADDRESS  )
M6800FN_("DEX inherent"  ,DEX_INHERENT )
M6800FN_("DES inherent"  ,DES_INHERENT )
M6800FN_("INX inherent"  ,INX_INHERENT )
M6800FN_("INS inherent"  ,INS_INHERENT )
M6800FN_("LDX immediate" ,LDX_DATA     )
M6800FN_("LDX direct"    ,LDX_ADDRESS  )
M6800FN_("LDX indexed"   ,LDX_ADDRESS  )
M6800FN_("LDX extended"  ,LDX_ADDRESS  )
M6800FN_("LDS immediate" ,LDS_DATA     )
M6800FN_("LDS direct"    ,LDS_ADDRESS  )
M6800FN_("LDS indexed"   ,LDS_ADDRESS  )
M6800FN_("LDS extended"  ,LDS_ADDRESS  )
M6800FN_("STX direct"    ,STX_ADDRESS  )
M6800FN_("STX indexed"   ,STX_ADDRESS  )
M6800FN_("STX extended"  ,STX_ADDRESS  )
M6800FN_("STS direct"    ,STS_ADDRESS  )
M6800FN_("STS indexed"   ,STS_ADDRESS  )
M6800FN_("STS extended"  ,STS_ADDRESS  )
M6800FN_("TXS inherent"  ,TXS_INHERENT )
M6800FN_("TSX inherent"  ,TSX_INHERENT )
M6800FN_("BRA relative"  ,BRA_ADDRESS  )
M6800FN_("BCC relative"  ,BCC_ADDRESS  )
M6800FN_("BCS relative"  ,BCS_ADDRESS  )
M6800FN_("BEQ relative"  ,BEQ_ADDRESS  )
M6800FN_("BGE relative"  ,BGE_ADDRESS  )
M6800FN_("BGT relative"  ,BGT_ADDRESS  )
M6800FN_("BHI relative"  ,BHI_ADDRESS  )
M6800FN_("BLE relative"  ,BLE_ADDRESS  )
M6800FN_("BLS relative"  ,BLS_ADDRESS  )
M6800FN_("BLT relative"  ,BLT_ADDRESS  )
M6800FN_("BMI relative"  ,BMI_ADDRESS  )
M6800FN_("BNE relative"  ,BNE_ADDRESS  )
M6800FN_("BVC relative"  ,BVC_ADDRESS  )
M6800FN_("BVS relative"  ,BVS_ADDRESS  )
M6800FN_("BPL relative"  ,BPL_ADDRESS  )
M6800FN_("BSR relative"  ,BSR_ADDRESS  )
M6800FN_("JMP indexed"   ,JMP_ADDRESS  )
M6800FN_("JMP extended"  ,JMP_ADDRESS  )
M6800FN_("JSR indexed"   ,JSR_ADDRESS  )
M6800FN_("JSR extended"  ,JSR_ADDRESS  )
M6800FN_("NOP inherent"  ,NOP_INHERENT )
M6800FN_("RTI inherent"  ,RTI_INHERENT )
M6800FN_("RTS inherent"  ,RTS_INHERENT )
M6800FN_("SWI inherent"  ,SWI_INHERENT )
M6800FN_("WAI inherent"  ,WAI_INHERENT )
M6800FN_("CLC inherent"  ,CLC_INHERENT )
M6800FN_("CLI inherent"  ,CLI_INHERENT )
M6800FN_("CLV inherent"  ,CLV_INHERENT )
M6800FN_("SEC inherent"  ,SEC_INHERENT )
M6800FN_("SEI inherent"  ,SEI_INHERENT )
M6800FN_("SEV inherent"  ,SEV_INHERENT )
M6800FN_("TAP inherent"  ,TAP_INHERENT )
M6800FN_("TPA inherent"  ,TPA_INHERENT )
M6800FN_("LDD immediate" ,LDD_DATA     )
M6800FN_("LDD direct"    ,LDD_ADDRESS  )
M6800FN_("LDD indexed"   ,LDD_ADDRESS  )
M6800FN_("LDD extended"  ,LDD_ADDRESS  )
M6800FN_("STD direct"    ,STD_ADDRESS  )
M6800FN_("STD indexed"   ,STD_ADDRESS  )
M6800FN_("STD extended"  ,STD_ADDRESS  )
M6800FN_("ADDD immediate",ADDD_DATA    )
M6800FN_("ADDD direct"   ,ADDD_ADDRESS )
M6800FN_("ADDD indexed"  ,ADDD_ADDRESS )
M6800FN_("ADDD extended" ,ADDD_ADDRESS )
M6800FN_("SUBD immediate",SUBD_DATA    )
M6800FN_("SUBD direct"   ,SUBD_ADDRESS )
M6800FN_("SUBD indexed"  ,SUBD_ADDRESS )
M6800FN_("SUBD extended" ,SUBD_ADDRESS )
M6800FN_("ASLD inherent" ,ASLD_INHERENT)
M6800FN_("LSRD inherent" ,LSRD_INHERENT)
M6800FN_("MUL inherent"  ,MUL_INHERENT )
M6800FN_("BRN relative"  ,BRN_ADDRESS  )
M6800FN_("ABX inherent"  ,ABX_INHERENT )
M6800FN_("PSHX inherent" ,PSHX_INHERENT)
M6800FN_("PULX inherent" ,PULX_INHERENT)
M6800FN_("JSR direct"    ,JSR_ADDRESS  )
M6800FN_("AIM direct"    ,AIM_DATA     )
M6800FN_("AIM indexed"   ,AIM_DATA     )
M6800FN_("OIM direct"    ,OIM_DATA     )
M6800FN_("OIM indexed"   ,OIM_DATA     )
M6800FN_("EIM direct"    ,EIM_DATA     )
M6800FN_("EIM indexed"   ,EIM_DATA     )
M6800FN_("TIM direct"    ,TIM_DATA     )
M6800FN_("TIM indexed"   ,TIM_DATA     )
M6800FN_("XGDX inherent" ,XGDX_INHERENT)
M6800FN_("SLP inherent"  ,SLP_INHERENT )
